tigase.kernel.beans

## Interface UnregisterAware

- All Known Implementing Classes:
    AbstractCompDBRepository, AbstractConfigurableTask, AbstractConfigurableTimerTask, AbstractSDComponentRepositoryBean, AuthRepositoryMDPoolBean.AuthRepositoryConfigBean, AuthUserRepositoryConfigBean, BruteForceLockerBean, CertificateContainer, ClConConfigRepository, ClConDirRepository, ClConSQLRepository, ClusterConnectionManager.DefClConRepositoryBean, CompCompDBRepository, CompConfigRepository, ComponentProtocol, CompSQLRepository, ConfigRepository, ConnectionManager.PortConfigBean, ConnectionManager.SecPortConfigBean, ConnectionsTask, CounterDataLoggerRepoBean, CounterDataLoggerRepoBean.CounterDataLoggerConfigBean, CpuTempTask, DataSourceBean.DataSourceMDConfigBean, DiskTask, DynamicRoster, EventPublisherModule, ExtServiceDiscoveryUserRepoRepository, JabberIqPrivacy.PrivacyListOfflineCache, JabberIqRegister, LoadCheckerTask, LoggerTask, ManagerCompDBRepository, MDnsComponent, MDRepositoryBean, MDRepositoryBean.MDRepositoryConfigBean, MDRepositoryBeanWithStatistics, MemoryCheckerTask, MessageRouter, MotdProcessor, MsgBroadcastRepository.MsgBroadcastRepositoryBean, MsgBroadcastRepository.MsgBroadcastRepositoryBean.MsgBroadcastRepositoryConfigBean, MsgRepository.MsgRepositoryMDBean, MsgRepository.MsgRepositoryMDBean.MsgRepositoryConfigBean, PresenceOffline, RegistrarKernel, RegistrationThrottling, RepoPool, RepoPool.MessageArchiveRepositoryConfigBean, RosterFactory.Bean, SampleTask, ScheduledTask, ScriptTask, ScriptTimerTask, SDRepositoryBean, SDRepositoryBeanWithStatistics, SeeOtherHostDB.SeeOtherHostDBSDRepositoryBean, SeeOtherHostDualIP, SeeOtherHostDualIP.DualIPRepositoryWrapper, SeeOtherHostDualIP.DualIPRepositoryWrapper.DualIPRepositoryWrapperConfigBean, ServerCompDBRepository, SSLContextContainer.Root, Store, SubscribeModule, TaskConfigItemJDBCRepository, TigaseSaslProvider, TokenBucketPool, UnsubscribeModule, UpdatesChecker, UserRepoRepository, UserRepositoryMDPoolBean.UserRepositoryConfigBean, VCard4, VCardTemp, VCardXMPPProcessorAbstract, VHostJDBCRepository, VHostManager.DefVHostRepositoryBean

      public interface UnregisterAware

  If bean implements this interface then just before unregistering bean Kernel calls method `beforeUnregister()`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeUnregister()` Method called before bean unregister.

- - ### Method Detail

    - #### beforeUnregister

          void beforeUnregister()

      Method called before bean unregister.

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.